RSS   Podatności dla 'HAPI'   RSS

2018-06-04
 
CVE-2017-16013

CWE-20
 

 
hapi is a web and services application framework. When hapi >= 15.0.0 <= 16.1.0 encounters a malformed `accept-encoding` header an uncaught exception is thrown. This may cause hapi to crash or to hang the client connection until the timeout period is reached.

 
2018-05-31
 
CVE-2015-9236

CWE-200
 

 
Hapi versions less than 11.0.0 implement CORS incorrectly and allowed for configurations that at best returned inconsistent headers and at worst allowed cross-origin activities that were expected to be forbidden. If the connection has CORS enabled but one route has it off, and the route is not GET, the OPTIONS prefetch request will return the default CORS headers and then the actual request will go through and return no CORS headers. This defeats the purpose of turning CORS on the route.

 
2018-05-29
 
CVE-2015-9243

CWE-254
 

 
When server level, connection level or route level CORS configurations in hapi node module before 11.1.4 are combined and when a higher level config included security restrictions (like origin), a higher level config that included security restrictions (like origin) would have those restrictions overridden by less restrictive defaults (e.g. origin defaults to all origins `*`).

 
 
CVE-2015-9241

CWE-20
 

 
Certain input passed into the If-Modified-Since or Last-Modified headers will cause an 'illegal access' exception to be raised. Instead of sending a HTTP 500 error back to the sender, hapi node module before 11.1.3 will continue to hold the socket open until timed out (default node timeout is 2 minutes).

 

 >>> Vendor: Hapijs 4 Produkty
Crumb
NES
HAPI
HOEK


Copyright 2022, cxsecurity.com

 

Back to Top